// scripts/Event/EventPlayer.js

(function() {
'use strict';

    /**
     * Objeto para gerenciar eventos da playlist de áudio
     *
     * @class  EventPlayer
     * @type {Object}
     */
    var EventPlayer = {};

    // aplica o controle de evento ao objeto
    Evento.applyTo(EventPlayer);

    /////////////
    // eventos //
    /////////////

    /**
     * Evento para atualizar a playlist da tag vídeo
     *
     * @event updatePlaylistVideo
     */
    EventPlayer.bind('updatePlaylistVideo', function __doneUpdatePlaylistVideo(AllArguments) {
        // console.log("---->", AllArguments);

        // caso seja enviado um array
        var elementHtml = playlistVideo.getElementPlayer();
        var funcCallback;

        if (_.isArray(AllArguments)) {
            elementHtml = AllArguments[0] || elementHtml;
            funcCallback = AllArguments[1];
        }

        // atualiza a playlist
        playlistVideo.nextPlaylist(elementHtml, funcCallback);
    });

    window.EventPlayer = EventPlayer;
}) (window);
