(function() {

    window.partner4yousee = {};

    /** INICIA OS COMPONENTES ESPECÍFICOS DA SAMSUNG */
    var ssRuntime = new SamsungRuntime();

    window.partner4yousee = {
        samsung: {
            runtime: ssRuntime,
            // usa o storage genérico
            storage: new GenericStorage(ssRuntime),
            // usa o i18n genérico. TODO: trocar 'en' pela lingua indicada no app
            i18n: new GenericI18n('en'),
            // Administrador do window
            window: new SamsungWindowManager(ssRuntime),
            // administrado do filesystem
            filesystem: new Filesystem({}),
            // unzip
            unzip: new Unzipper({}),
            // download
            download: new Downloader({})

        }
    };

})();

