Fluxo a ser desenvolvido:

- Criar os dados locais do player
- Descobrir o ID do player
- Buscar o projeto associado ao player
- Baixar os arquivos (JSON) do projeto
- Analisar os arquivos a serem baixados
- Iniciar o fluxo de playing da playlist


** PARA COMEÇAR **

- Usar o projeto padrão 4yousee-chrome, player tem o ID 1



** Documentações: ** 

- Para conseguir criar um diretório, é preciso usar o método "chrome.fileSystem.chooseEntry" informando a opção "openDirectory" (ver https://developer.chrome.com/apps/fileSystem#method-chooseEntry)
	- Para conseguir escrever o diretório, ver a documentação no html5rocks: http://www.html5rocks.com/en/tutorials/file/filesystem/#toc-dir
	- o Entry obtido com a "chooseEntry" pode ser usado como diretório, e criar-se novos diretórios usando o método getDirectory()

- Para baixar um arquivo para o dispositivo local: pode usar o xmlhttprequest, indicando no objeto a propriedade responseType = "arraybuffer"; fiz isso no gapi-chrome-apps.js original
- Para escrever o arquivo, é preciso seguir a API do html5rocks informada acima. Para escrever o arquivo binário, é necessário pegar o arraybuffer retornado pelo XHR, transformar em "Uint8Array" e, anter de mandar escrever no arquivo, transformar em Blob da seguinte forma
	```var blob = new Blob([uint8array_variable], {type: mimetype});```


- Para conseguir colocar um objeto que foi baixado pelo aplicativo usando uma tag com "src" no HTML, é preciso convertê-lo da seguinte forma:
	```fileEntry.file(function(file) { var URL = window.URL.createObjectURL(file);});```
