(function (){

	function XmlDownload(_id, rootDirEntry, projectName, env4YouSee){
		// console.log('Iniciando XmlDownload ', _id, new Date());
		this.index = _id;
		XmlDownload.url = env4YouSee + '/common/xml/';
		XmlDownload.rootDirEntry = rootDirEntry;
		XmlDownload.projectName = projectName;
	}


	XmlDownload.prototype.download = function (mediaItem, callback) {

		if(mediaItem != undefined){
			// console.log('XmlDownload ', this.index ,'Download do item ', mediaItem);
			var mediaType = mediaItem.file.split('.').pop();

            // save xml files
			if (mediaType == 'xml') {
				var that = this;
				var xhr = new XMLHttpRequest();

                var date = new Date();
                var hash = date.getTime();

				xhr.open('GET', XmlDownload.url + mediaItem.file + '?' + hash);
				xhr.responseType = "text";

				xhr.onload = function() {
					if (this.status == 200) {
						sync.writeDownloadedFile(XmlDownload.rootDirEntry, XmlDownload.projectName + '/' + FileSync.PLAYER_DIR_LAYOUT_RSS_XML,
							mediaItem.file, this.response, 'text/xml', function doneWriteXML() {
                                // callback
                                callback(mediaItem, DownloadCenter.COMPLETED);
                            });

					}else if(this.status == 404){
                        // callback
                        callback(mediaItem, DownloadCenter.NOT_FOUND);
					}

				}

				xhr.onerror = function(){
                    // callback
                    callback(mediaItem, DownloadCenter.FAILED);
				}

				xhr.send();
			}
		}
	};

	window.XmlDownload = XmlDownload;
})();
