/**
 * Wraps the google chrome i18n API as an Angular Filter
 * Example:
 *   <p>{{"contentToBeTranslated"|i18n}}
 */

angular.module('chrome-i18n', [])
.filter('i18n', function() {
	return function(message) {
		return player4uc.i18n.getMessage(message);
	};
});
