

(function (){
    window.APP_API_URL = 'http://chrome.4yousee.com/api';

    window.partner4yousee = {
        chrome: {
            runtime: window.chrome.runtime,
            // usa o storage genérico
            storage: new ChromeStorage(window.chrome.runtime),
            // usa o i18n genérico. TODO: trocar 'en' pela lingua indicada no app
            i18n: window.chrome.i18n
        }
    };

    //WebApplication
    window.app = null;

    // event called when app is installed
    chrome.runtime.onInstalled.addListener(function() {
        // generate starting configurations of player ID and Project
        chrome.storage.local.set({
            'players'               : [],
            'playerProject'         : '4yousee-chrome',
            'settings.user_token'   : null
            // 'settings.log.playlog'   : []
        });
        console.log(chrome.i18n.getMessage('installMessage'));
    });

    // event called when the user opens the app
    chrome.app.runtime.onLaunched.addListener(function() {
        $( document ).ready(function(){
            startupScreen();
        });
    });

    // event called when the user closes the app
    chrome.runtime.onSuspend.addListener(function() {

    });

})();
