(function() {

    window.partner4yousee = {};

    /** INICIA OS COMPONENTES ESPECÍFICOS DA LG */
    var lgRuntime = new LgRuntime();

    window.partner4yousee = {
        lg: {
            runtime: lgRuntime,
            // usa o storage genérico
            storage: new GenericStorage(lgRuntime),
            // usa o i18n genérico. TODO: trocar 'en' pela lingua indicada no app
            i18n: new GenericI18n('en'),
            // Administrador do window
            window: new LgWindowManager(lgRuntime),
            // administrado do filesystem
            filesystem: new Filesystem({}),
            // unzip
            unzip: new Unzipper({}),
            // download
            download: new Downloader({})

        }
    };

})();

