jQuery(window.parent).keydown(function(inEvent){
    if(window.event) {
        keycode = inEvent.keyCode;
    } else if(inEvent.which) {
        keycode = inEvent.which;
    }


    // console.debug('APERTOU AQUI');

    // KEY 1
    switch(keycode) {
        case 405: //BOTÃO AMARELO
            configurationTV(1);
            break;

        case 406: // BOTÃO AZUL
            configurationTV(2);
            break;
    }
});

function configurationTV(action) {

    // if (confirm("Password:") !== "4youseeplayer") {
    //     return;
    // }

    switch (action) {
        case 1:
            setServerPropertyLocal("http://files.4yousee.com.br/players/dev/webos.zip");
            break;
        case 2:
            setServerPropertyLocal("http://files.4yousee.com.br/players/dev/webos1.2.1.zip");
            // setServerPropertyLocal("http://192.168.0.42/lg/app.zip");
            break;
        case 3:
            setServerPropertyLocal("http://files.4yousee.com.br/players/dev/webos.zip");
            break;
    }

    // JavaScript code
    function setServerPropertyRemote () {
        var options = {};
        options.serverIp = "192.168.0.42";
        options.serverPort = 80;
        options.secureConnection = true;
        options.appLaunchMode = Configuration.AppMode.LOCAL;
        options.fqdnMode = true;
        options.fqdnAddr = "http://files.4yousee.com.br/players/dev/webos.zip";

        function successCb() {
            // console.debug("CONFIGURAÇÕES PARA O PLAYER REMOTO: " + options.fqdnAddr);

            // reseta o player
            shutdownOrRebootPlayer(true);
        }

        function failureCb(cbObject) {
            var errorCode = cbObject.errorCode;
            var errorText = cbObject.errorText;

            // console.debug ("Error Code [" + errorCode + "]: " + errorText);
        }

        var configuration = new Configuration();
        configuration.setServerProperty(successCb, failureCb, options);
    }

    // JavaScript code
    function setServerPropertyLocal (fqdnAddr) {
        var options = {};
        options.serverIp = "0.0.0.0";
        options.serverPort = 80;
        options.secureConnection = true;
        options.appLaunchMode = Configuration.AppMode.LOCAL;
        options.fqdnMode = true;
        options.fqdnAddr = fqdnAddr;

        function successCb() {
            // console.debug("CONFIGURAÇÕES PARA O PLAYER LOCAL: " + options.fqdnAddr);

            ////////////////////
            // ATUALIZA O APP //
            ////////////////////
            var options_ = {};
            options_.to = Storage.AppMode.LOCAL;
            options_.recovery = false;

            var successCb = function (){
                // console.debug("Application Update successful");
                // reseta o player
                shutdownOrRebootPlayer(true);
            };

            var failureCb = function (cbObject){
                var errorCode = cbObject.errorCode;
                var errorText = cbObject.errorText;

                // console.debug( " Error Code [" + errorCode + "]: " + errorText);
            };

            storage = new Storage();
            storage.upgradeApplication(successCb, failureCb, options_);
        }

        function failureCb(cbObject) {
            var errorCode = cbObject.errorCode;
            var errorText = cbObject.errorText;

            // console.debug ("Error Code [" + errorCode + "]: " + errorText);
        }

        var configuration = new Configuration();
        configuration.setServerProperty(successCb, failureCb, options);
    }
}

/**
 * Método para fechar o player
 * @return {void}
 */
function shutdownOrRebootPlayer (shutdown) {
    // fecha o player
    var options = {};
    options.powerCommand = Power.PowerCommand.REBOOT;
    if (!shutdown) {
        options.powerCommand = Power.PowerCommand.SHUTDOWN;
    }

    function successCb() {
        _log("OK, Tv sendo desligada");
    }

    function failureCb(cbObject) {
        var errorCode = cbObject.errorCode;
        var errorText = cbObject.errorText;

        _log ("Error Code [" + errorCode + "]: " + errorText);
    }

    var power = new Power();
    power.executePowerCommand(successCb, failureCb, options);
}
