(function(_global) {


    /**
     * Chrome Api Mock
     *
     * @class chrome
     * @constructor
     */
     _global.chrome = _global.chrome || {};

    _global.chrome.fileSystem = _global.chrome.fileSystem || {
        restoreEntry : function(entryId, callback){callback({})},
        isRestorable : function(entryId, callback){callback(true)},
        chooseEntry  : function(object, callback){callback({})},
        getDisplayPath  : function(dirEntry, callback){callback('/mtd_down/common/4yousee')},
        retainEntry  : function(str){return {}},
    }

    _global.chrome.runtime = _global.chrome.runtime || {
        reload: function(){}
    }

    _global.chrome.system = _global.chrome.system || {
        display : {
            getInfo : function (callback){
                var result = [{
                    workArea: {
                        left: 0,
                        top: 0,
                        width: window.window.innerWidth,
                        height: window.window.innerHeight,
                    }
                }]
                callback(result);
            }
        }
    }

})(this);
