window.hashPlayerIdentification = undefined;
window.debugMode = false;

(function( _global ) {
    var that = this;
    var thatLog;
    var isMemoryExternal = false;


    function logGlobal (str, type) {
        thatLog = this;
        this.logger = document.querySelector('#debug');

        // gera o hash
        if (hashPlayerIdentification === undefined) {
            hashPlayerIdentification = 'COD' + new Date().getTime();
        }

        if(!this.logger)
            return this.logger = createTextarea(str, this);

        // if(window.debugMode) {
        //     this.logger.value += '\n --------- ' + type + ' -----------';
        //     this.logger.style.display = '';

        //     setTimeout(function() {
        //         this.logger.scrollTop = logger.scrollHeight;
        //     }, 50);
        // }

    }

    function log(str) {
        logGlobal(str, 'LOG');
        var a = new Date();
        // var datePlay = a.getHours() + ":" + a.getMinutes() + ":" + a.getSeconds();

        var msgSend = a + ' ';

        for(i in arguments) {
            str = arguments[i];

            if(typeof str == 'object' || typeof str == 'array')
                str = JSON.stringify(str);

            // if(!window.debugMode)
            //     this.logger.value = this.logger.value + '\n' + str;

            msgSend += " | " + str;
        }

        // sendLog(msgSend);
        // saveInFile("LOG:" + msgSend);
        console.info(msgSend);
        // alert(msgSend);
    }

    function logError(str) {

        logGlobal(str, 'ERROR');
        var a = new Date();
        // var datePlay = a.getHours() + ":" + a.getMinutes() + ":" + a.getSeconds();

        var msgSend = a + ' ';

        for(i in arguments) {
            str = arguments[i];

            if(typeof str == 'object' || typeof str == 'array')
                str = JSON.stringify(str);

            // if(!window.debugMode)
            //     this.logger.value = this.logger.value + '\n' + str;

            msgSend += " | " + str;
        }

        // sendLog(msgSend, 'error');
        // saveInFile("ERROR:" + msgSend);
        console.warn(msgSend);
        // alert(msgSend);
    }

    function createTextarea(str, callback) {
        var textarea = document.createElement('textarea');

        textarea['id']                      = "debug";
        textarea.style['display']           = 'none';
        textarea.style['position']          = 'absolute';
        textarea.style['height']            = '800px';
        textarea.style['width']             = '50%';
        textarea.style['top']               = '20px';
        textarea.style['right']             = '20px';
        textarea.style['top']               = '20px';
        textarea.style['z-index']           = '999999999';
        textarea.style['background-color']  = 'rgba(255, 255, 255, 0.9)';
        textarea.onclick = function() {
            textarea.style.display = 'none';
        }

        _global.txt = textarea;

        window.onload = function() {
            document.body.appendChild(textarea);
        }

        textarea.onload = function() {
            callback(str);
        }

        return textarea;
    }

    function sendLog(strlog, type) {
        // return sendLog_appenlight(hashPlayerIdentification + ': ' + strlog, type);
    }

    function sendLog_appenlight(strLog, type) {
        if (typeof AppEnlight === 'undefined') {
            return;
        }

        type = (type? type : 'info');
        AppEnlight.log(type, strLog);
    }

    function sendLog__requestBi(strLog) {
        var xmlhttp = new XMLHttpRequest();
        var url = "http://requestb.in/pyd0jipy";
        xmlhttp.open("POST", url, true);
        xmlhttp.send(strLog);
    }

    function saveInFile(data) {
        return;

        if (!isMemoryExternal) {
            return;
        }

        // caminho dentro do pen-drive
        // /<media>/procentric/scap/application/content/
        var date = new Date();
        var fileLog = 'logs_' + date.getDate() + date.getMonth() + date.getYear() + ".log";

        var filePath = 'file://usb:1/' + fileLog;

        var options = {
            mode: 'append',
            path: filePath
        };

        if (player4uc) {
            try {
                player4uc.filesystem.writeFile (filePath, data + "\n", undefined, options, function(error, ok) {
                    // console.debug("--------------->", error, ok);
                });
            } catch(e) {
                console.debug("ERROR WRITE DISC --------------->", e);
            }
        }
    }

    function veriryIsMemoryExternal() {

        var successCb = function (cbObject){
            var externals = cbObject.externalMemory;

            isMemoryExternal = _.isEmpty(externals);
        };

        var failureCb = function(cbObject){
            isMemoryExternal = false;
        };

        var storage = new Storage();
        storage.getStorageInfo(successCb, failureCb);
    }

    // tempo/s * 1000 * 60*60
    // setInterval(veriryIsMemoryExternal, 5 * 1000 * (60*60))


    log.prototype.clear = function (){
        if(this.logger)
            this.logger.value = '';
    }

    log.prototype.close = function (){
        if(this.logger)
            this.logger.value = '';
    }

    _global._log = log;
    _global._logError = logError;
    _global._sendLog = sendLog;
    if(!_global.console) {
        _global.console = {log: _log}
    }

})( this );
