'use strict';
describe("ClassCarrossel", function() {
  var carrosselInstance;

  beforeEach(function() {
    carrosselInstance = new Carrossel('files');
  });

  describe("getNext() - Troca de conteúdo do carrossel", function () {
    it("should play the first content if it is the first it is called", function() {
      // Preconditions
      carrosselInstance.itens = [1,2,3,4];
      // Spies
      spyOn(carrosselInstance, 'validateRss').and.callFake(function(item, cb) {
        cb(true);
      });
      // Execution
      carrosselInstance.getNext(function(item) {
        // Expectation
        // Returns e callbacks
        expect(item).toEqual(1);
        // Estado interno do objeto
        // Chamadas externas
        expect(carrosselInstance.validateRss).toHaveBeenCalledWith(1, jasmine.any(Function));
      });
    });
  });
});
